## xbmc 12.3+dfsg1

=== lib/libhts/Makefile ===
INCLUDES=-I.

SRCS = htsmsg.c \
       htsmsg_binary.c \
       htsbuf.c \
       htsstr.c \
       net_posix.c \
       sha1.c \

CFLAGS=-std=c99 -D_GNU_SOURCE
LIB=libhts.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== lib/xbmc-dll-symbols/Makefile ===
SRCS = DllAvFormat.c

LIB = dll-symbols.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== tools/EventClients/Makefile ===
WII_EXTRA_OPTS=
CLEAN_FILES=Clients/WiiRemote/WiiRemote
PYTHON_SITEDIR := $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

all: install

wiimote: Clients/WiiRemote/WiiRemote

Clients/WiiRemote/WiiRemote:
	cd Clients/WiiRemote && \
	$(CXX) $(CXXFLAGS) $(LDFLAGS) CWIID_WiiRemote.cpp -lcwiid -lbluetooth -DICON_PATH="\"$(datarootdir)/pixmaps/xbmc/\"" $(WII_EXTRA_OPTS) -o WiiRemote

j2me-remote:
	cd Clients/J2ME\ Client
	ant -f build.xml

install: Clients/WiiRemote/WiiRemote
	mkdir -p $(DESTDIR)$(bindir)
	cp -a Clients/WiiRemote/WiiRemote $(DESTDIR)$(bindir)/xbmc-wiiremote
	cp -a Clients/J2ME\ Client/j2me_remote.py $(DESTDIR)$(bindir)/xbmc-j2meremote
	cp -a Clients/PS3\ BD\ Remote/ps3_remote.py $(DESTDIR)$(bindir)/xbmc-ps3remote
	cp -a Clients/PS3\ Sixaxis\ Controller/ps3d.py $(DESTDIR)$(bindir)/xbmc-ps3d
	cp -a Clients/XBMC\ Send/xbmc-send.py $(DESTDIR)$(bindir)/xbmc-send
	mkdir -p $(DESTDIR)$(PYTHON_SITEDIR)/xbmc
	echo 'ICON_PATH="$(datarootdir)/pixmaps/xbmc/"' > $(DESTDIR)$(PYTHON_SITEDIR)/xbmc/defs.py
	cp -a lib/python/* $(DESTDIR)$(PYTHON_SITEDIR)/xbmc/
	cp -a Clients/PS3\ BD\ Remote/ps3_remote.py $(DESTDIR)$(PYTHON_SITEDIR)/xbmc/
	mkdir -p $(DESTDIR)$(includedir)/xbmc
	cp -a lib/c++/* $(DESTDIR)$(includedir)/xbmc/
	mkdir -p $(DESTDIR)$(datarootdir)/pixmaps/xbmc
	cp -a icons/* $(DESTDIR)$(datarootdir)/pixmaps/xbmc/

include ../../Makefile.include

=== xbmc/addons/Makefile ===
SRCS=Addon.cpp \
     AddonCallbacks.cpp \
     AddonCallbacksAddon.cpp \
     AddonCallbacksGUI.cpp \
     AddonCallbacksPVR.cpp \
     AddonDatabase.cpp \
     AddonInstaller.cpp \
     AddonManager.cpp \
     AddonStatusHandler.cpp \
     AddonVersion.cpp \
     GUIDialogAddonInfo.cpp \
     GUIDialogAddonSettings.cpp \
     GUIViewStateAddonBrowser.cpp \
     GUIWindowAddonBrowser.cpp \
     PluginSource.cpp \
     Repository.cpp \
     Scraper.cpp \
     ScreenSaver.cpp \
     Service.cpp \
     Skin.cpp \
     Visualisation.cpp \

LIB=addons.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/dbwrappers/Makefile ===
SRCS=Database.cpp \
     dataset.cpp \
     mysqldataset.cpp \
     qry_dat.cpp \
     sqlitedataset.cpp \

LIB=dbwrappers.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/dialogs/Makefile ===
SRCS=GUIDialogBoxBase.cpp \
     GUIDialogBusy.cpp \
     GUIDialogButtonMenu.cpp \
     GUIDialogCache.cpp \
     GUIDialogContextMenu.cpp \
     GUIDialogExtendedProgressBar.cpp \
     GUIDialogFavourites.cpp \
     GUIDialogFileBrowser.cpp \
     GUIDialogGamepad.cpp \
     GUIDialogKaiToast.cpp \
     GUIDialogKeyboardGeneric.cpp \
     GUIDialogMediaFilter.cpp \
     GUIDialogMediaSource.cpp \
     GUIDialogMuteBug.cpp \
     GUIDialogNumeric.cpp \
     GUIDialogOK.cpp \
     GUIDialogPlayEject.cpp \
     GUIDialogPlayerControls.cpp \
     GUIDialogProgress.cpp \
     GUIDialogSeekBar.cpp \
     GUIDialogSelect.cpp \
     GUIDialogSlider.cpp \
     GUIDialogSmartPlaylistEditor.cpp \
     GUIDialogSmartPlaylistRule.cpp \
     GUIDialogSubMenu.cpp \
     GUIDialogTextViewer.cpp \
     GUIDialogVolumeBar.cpp \
     GUIDialogYesNo.cpp \

LIB=dialogs.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/music/Makefile ===
SRCS=Album.cpp \
     Artist.cpp \
     GUIViewStateMusic.cpp \
     LastFmManager.cpp \
     MusicDatabase.cpp \
     MusicDbUrl.cpp \
     MusicInfoLoader.cpp \
     MusicThumbLoader.cpp \
     Song.cpp \
     
LIB=music.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/peripherals/Makefile ===
SRCS=Peripherals.cpp

LIB=peripherals.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/playlists/Makefile ===
SRCS=PlayListB4S.cpp \
     PlayList.cpp \
     PlayListFactory.cpp \
     PlayListM3U.cpp \
     PlayListPLS.cpp \
     PlayListURL.cpp \
     PlayListWPL.cpp \
     PlayListXML.cpp \
     SmartPlayList.cpp

LIB=playlists.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/powermanagement/Makefile ===
SRCS=DPMSSupport.cpp \
     PowerManager.cpp \

LIB=powermanagement.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/pvr/Makefile ===
SRCS=PVRGUIInfo.cpp \
     PVRManager.cpp \
     PVRDatabase.cpp

LIB=pvr.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/settings/Makefile ===
SRCS=AdvancedSettings.cpp \
     AppParamParser.cpp \
     GUIDialogContentSettings.cpp \
     GUIDialogLockSettings.cpp \
     GUIDialogProfileSettings.cpp \
     GUIDialogSettings.cpp \
     GUISettings.cpp \
     GUIWindowSettings.cpp \
     GUIWindowSettingsCategory.cpp \
     GUIWindowSettingsProfile.cpp \
     GUIWindowSettingsScreenCalibration.cpp \
     GUIWindowTestPattern.cpp \
     Profile.cpp \
     SettingsControls.cpp \
     Settings.cpp \
     VideoSettings.cpp \

LIB=settings.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== debian/changelog ===
xbmc (2:12.3+dfsg1-3ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - nexus7-fullscreen-fix.patch.
    - xbmc-startup-script-workarounds-for-arm.patch: Added another workaround to
      get the touchscreen of the Nexus 7 working in the fullscreen mode of XBMC.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 09:58:17 +0100

xbmc (2:12.3+dfsg1-3) unstable; urgency=low

  * Fix blank screen issue on armhf
  * Don't disable ccache
  * Enable using external libraries during configure. Has no effect on the
    build, external libraries are used already
  * Build-depend on libcap-dev to enable libcap support
  * Strip FreeType, Enca and Google's test libraries from repacked source
  * Use system's libsidplay2 and remove embedded one from repacked source
  * Disable VDPAU and VAAPI on armel and armhf

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 28 Dec 2013 13:45:16 +0100

xbmc (2:12.3+dfsg1-2) unstable; urgency=low

  * Depend on libgles2-mesa-dev and libomxil-bellagio-dev on armhf

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 27 Dec 2013 14:32:41 +0100

xbmc (2:12.3+dfsg1-1) unstable; urgency=low

  * XBMC 12.3 Frodo
  * Drop back-ported efbb36fa and c2c97cfd2 patches since those are
    integrated upstream
  * Depend on fonts-dejavu-core and fonts-liberation instead of
    ttf-dejavu-core and ttf-liberation respectively (Closes: #702820)
  * enable code generation during bootstrap with workaround for groovy crash
  * Use OpenGL ES on armhf (Closes: #702730)
  * Stop forcing PulseAudio at build time (Closes: #704951)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Dec 2013 03:21:21 +0100

xbmc (2:12.2+dfsg1-1) unstable; urgency=low

  * Base package on repacked upstream tarball
  * Run bootstrap before configuration (without code generation enabled)
  * Use external groovy
  * Depend on doxygen to help code generation

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 20 Dec 2013 21:23:12 +0100

xbmc (2:12.2-1) unstable; urgency=low

  [ macmenot <notmemac@gmail.com> ]
  * XBMC 12.2 Frodo. Closes: #716806
  * Add 01-Compile-against-system-libavcodec.patch and
    02-Fix-avcodec-vdpau-detection.patch
    (Closes: #706193)
  * Fix typo in package description: "archiecture". Closes: #706826

  [Balint Reczey]
  * Disable libCEC temporarily since it has no usable version in unstable
  * Detect Samba4 headers using patched configure.in
  * Distinguish Debian build from vanilla XBMC build by showing changed
    logo and version number
  * Depend on gimp to generate the changed logo
  * Adding myself to uploaders
  * cherry-pick efbb36fa and c2c97cfd2 from upstream to fix child process
    handling and make XBMC work with newer nvidia drivers > 304.
    Thanks to Peter Frühberger <fritsch@xbmc.org>
  * add get-orig-source target to debian/rules which prepares a DFSG-free
    original tarball

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 08 Dec 2013 00:34:57 +0100

xbmc (2:12.0~git20130127.fb595f2-1.1) experimental; urgency=low

  [Balint Reczey]
  * Non-maintainer upload.
  * Set Samba include path in d/rules using pkg-config to fix FTBFS
    with Samba 4 (Closes: #728594)

  [Michael Biebl]
  * Disable HAL support (Closes: #676702, #668486)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 25 Nov 2013 23:19:08 +0100

xbmc (2:12.0~git20130127.fb595f2-1) experimental; urgency=low

  * New upload for XBMC 12.0 Frodo.

 -- Andres Mejia <amejia@debian.org>  Tue, 29 Jan 2013 20:13:05 -0500

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu5) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 16:17:08 +0000

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu4) saucy; urgency=low

  * Remove libhal-dev build-dependency; see changelog for version
    2:12.0~git20130103.0959-rc3-0ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Sep 2013 15:38:10 +0100

xbmc (2:12.0~git20121210.baaa51c-1) experimental; urgency=low

  * New upload for XBMC Frodo RC 1.

 -- Andres Mejia <amejia@debian.org>  Wed, 12 Dec 2012 12:57:29 -0500

xbmc (2:12.0~git20121206.ae60d24-1) experimental; urgency=low

  * New upload for XBMC Frodo beta 3.

 -- Andres Mejia <amejia@debian.org>  Sat, 08 Dec 2012 11:14:06 -0500

xbmc (2:12.0~git20121201.192701b-1) experimental; urgency=low

  * New upload for XBMC Frodo beta 2.

 -- Andres Mejia <amejia@debian.org>  Sun, 02 Dec 2012 20:53:28 -0500

xbmc (2:12.0~git20121119.22795bc-1) experimental; urgency=low

  * New upload for beta packages of XBMC Frodo.
    (Closes: #668901)
    (Closes: #681264)
    (Closes: #682312)
  * Recommends of python-qt3 is removed. (Closes: #685076)

 -- Andres Mejia <amejia@debian.org>  Mon, 19 Nov 2012 17:56:50 -0500

=== debian/control ===
Source: xbmc
Section: video
Priority: optional
Maintainer: Debian XBMC Packaging Team <pkg-xbmc-maintainers@lists.alioth.debian.org>
Uploaders: Andres Mejia <amejia@debian.org>, Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 7.0.50~),
 python-support,
 cmake,
 autopoint | gettext,
 autotools-dev,
 autoconf,
 automake,
 dh-autoreconf,
 unzip,
 libboost-dev,
 zip,
 libtool,
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libglew-dev,
 libmad0-dev,
 libjpeg-dev,
 libsamplerate-dev,
 libogg-dev,
 libvorbis-dev,
 libfreetype6-dev,
 libfontconfig-dev,
 libbz2-dev,
 libfribidi-dev,
 libsqlite3-dev,
 libmysqlclient-dev,
 libasound2-dev | libasound-dev,
 libpng12-dev | libpng-dev,
 libpcre3-dev,
 liblzo2-dev,
 libcdio-dev,
 libsdl-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libenca-dev,
 libjasper-dev,
 libxt-dev,
 libxmu-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libpulse-dev,
 libavahi-common-dev,
 libavahi-client-dev,
 libxrandr-dev,
 libmpeg2-4-dev,
 libass-dev (>= 0.9.8),
 libflac-dev,
 python-dev,
 gawk,
 gperf,
 nasm [i386],
 yasm,
 libcwiid-dev,
 libbluetooth-dev,
 zlib1g-dev,
 libsmbclient-dev,
 libiso9660-dev,
 libssl-dev,
 libvdpau-dev,
 libmicrohttpd-dev,
 libmodplug-dev,
 librtmp-dev,
 libcrystalhd-dev [i386 amd64],
 curl,
 libyajl-dev,
 libboost-thread-dev,
 libomxil-bellagio-dev [armel armhf],
 python-imaging,
 libplist-dev,
# libcec-dev (>= 2),
 libudev-dev,
 udev,
 libshairport-dev,
 libnfs-dev,
 libltdl-dev,
 libtiff4-dev | libtiff-dev,
 libtinyxml-dev (>= 2.6.2),
 libmp3lame-dev,
 libssh-dev,
 libtag1-dev (>= 1.8),
 swig,
 default-jre,
 libbluray-dev,
 libva-dev,
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 libavresample-dev,
 libavutil-dev,
 libpostproc-dev,
 libswscale-dev,
 gimp,
 groovy,
 libcommons-lang-java,
 doxygen,
 libcap-dev,
 libsidplay2-dev
Standards-Version: 3.9.3
Homepage: http://xbmc.org/
Vcs-Git: git://git.debian.org/collab-maint/pkg-xbmc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pkg-xbmc.git

Package: xbmc
Architecture: all
Depends: xbmc-bin (>= ${source:Version}),
         xbmc-bin (<< ${source:Version}.1~),
         mesa-utils,
         x11-utils,
         fonts-liberation,
         fonts-dejavu-core,
         python-imaging,
         ${python:Depends},
         ${misc:Depends}
Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
        xbmc-data (<< 2:11.0~git20111222.22ad8e4),
        xbmc-skin-confluence (<< 2:11.0~git20111222.22ad8e4)
Description: XBMC Media Center (arch-independent data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working XBMC.

Package: xbmc-bin
Architecture: i386 amd64 armhf
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Provides: xbmc-common
Replaces: xbmc-common
Conflicts: xbmc-common
Description: XBMC Media Center (binary data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working XBMC.

Package: xbmc-eventclients-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: XBMC Media Center (Event Client Common package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for XBMC Event Client.

Package: xbmc-eventclients-dev
Architecture: all
Section: libdevel
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: XBMC Media Center (Event Client Dev package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for XBMC Event Client.

Package: xbmc-eventclients-wiiremote
Architecture: i386 amd64 armhf
Depends: xbmc-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client WII Remote support package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for XBMC.

Package: xbmc-eventclients-j2me
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: XBMC Media Center (Event Client J2ME package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the J2ME package for XBMC Event Client. This is meant to
 provide a server that communicate with a mobile tool supporting Java ME.

Package: xbmc-eventclients-ps3
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         python-bluez | python-lightblue,
         ${python:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client PS3 package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Set this variable to yes for release builds to disable debugging and enable
# optimizations.
# NOTE: DEB_BUILD_OPTIONS must have 'nostrip' otherwise debugging symbols will
# be stripped from binaries.
XBMC_RELEASE ?= yes
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
XBMC_RELEASE ?= no
endif

# Whether we're building for release or not
ifeq (yes,$(XBMC_RELEASE))
  DEBUG_OPTIONS = --disable-debug --enable-optimizations
else
  DEBUG_OPTIONS = --enable-debug --disable-optimizations
endif

ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
else
  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
endif

# Enable gles for armel and armhf
# Also disable VDPAU and VAAPI there since they break the build with gles
ifeq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
else
GL_CONFIG_OPTIONS = --disable-gl --enable-gles --disable-vdpau \
                    --disable-vaapi
endif

# Use package's version in XBMC
VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)/\1/p')

# Various environment variables to set
DEB_CFLAGS ?=  $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CFLAGS)) \
  -DDEB_VERSION=\"\\\"$(VERSION)\\\"\"
DEB_CXXFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CXXFLAGS)) \
  -DDEB_VERSION=\"\\\"$(VERSION)\\\"\"
DEB_LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)
ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)" \
  LDFLAGS="$(DEB_LDFLAGS)"

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
# variable.
XBMC_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  --build=$(DEB_BUILD_GNU_TYPE) \
  --prefix=/usr --docdir=/usr/share/doc/xbmc \
  $(DEBUG_OPTIONS) \
  $(GL_CONFIG_OPTIONS) \
  --disable-vdadecoder \
  --disable-vtbdecoder \
  --disable-openmax \
  --disable-tegra \
  --disable-profiling \
  --enable-joystick \
  --enable-xrandr \
  --disable-pulse \
  --enable-rtmp \
  --enable-ffmpeg-libvorbis \
  --disable-mid \
  --disable-hal \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --disable-libcec \
  --disable-afpclient \
  --enable-airtunes \
  --enable-external-libraries \
  --enable-external-ffmpeg \
  --disable-dependency-tracking \
  --disable-dvdcss \
  --disable-non-free \
  $(ARCH_SPECIFIC_OPTIONS) \
  $(XBMC_CONFIG_EXTRA_OPTIONS) \
  $(ENV_OPTIONS)

# Use --parallel option only if debhelper supports it
DH_PARALLEL_OPT=$(shell dh_testdir --parallel 2>/dev/null && echo "--parallel")

# Used to show what config options are enabled
show-xbmc-config-options:
	$(info $(XBMC_CONFIG_OPTIONS))

%:
	dh $@ --with autoreconf $(DH_PARALLEL_OPT)

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;

override_dh_auto_configure: configure
	./bootstrap
	./configure $(XBMC_CONFIG_OPTIONS)
	# Add Debian related notes to XBMC's original logo
	mkdir -p $(CURDIR)/debian/tmp/home/user
	HOME=$(CURDIR)/debian/tmp/home/user gimp -i -b '(load "debian/xcf2png.scm") (xcf2png "debian/xbmc-logo.xcf" "addons/skin.confluence/media/xbmc-logo.png") (gimp-quit 0)'

override_dh_auto_install:
	$(MAKE) -C lib/addons/script.module.pil
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp -XLICENCE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't run
	# dh_makeshlibs

override_dh_shlibdeps: debian/tmp/xbmc-bin-depends-dummy.so debian/tmp/xbmc-bin-recommends-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/xbmc-bin-depends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-recommends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars

debian/tmp/xbmc-bin-depends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls

debian/tmp/xbmc-bin-recommends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lass \
		-lbluray \
		-lFLAC \
		-lmad \
		-lmodplug \
		-lmp3lame \
		-lmpeg2 \
		-lnfs \
		-logg \
		-lplist \
		-lrtmp \
		-lshairport \
		-lvdpau \
		-lvorbis \
		-lvorbisenc \
		-lvorbisfile \
		$(ARCH_SPECIFIC_LIB_RECOMMENDS)

# Get original XBMC source and cut not needed bits.
# Based on https://github.com/xbmc/xbmc-packaging/blob/master/xbmc-get-orig-source
ORIG_SRC_DIR := debian/tmp-src-dir
UPSTREAM_VER ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9]:)?([0-9.]+)(\+dfsg\d+)?.*$$/\2/p')
DFSG_VER = $(UPSTREAM_VER)+dfsg1

get-orig-source:
	mkdir -p $(ORIG_SRC_DIR)
	wget -O $(ORIG_SRC_DIR)/xbmc-orig.tar.gz http://mirrors.xbmc.org/releases/source/xbmc-$(UPSTREAM_VER).tar.gz
	tar -C $(ORIG_SRC_DIR) -xf $(ORIG_SRC_DIR)/xbmc-orig.tar.gz
	rm $(ORIG_SRC_DIR)/xbmc-orig.tar.gz
	# Remove non-free components
	find $(ORIG_SRC_DIR)/* -depth \( -iname '*dvdcss*' -o -iname '*unrar*' \) -exec rm -rf "{}" \;
	# Remove components not needed for Linux
	rm -rf $(ORIG_SRC_DIR)/*/lib/afpfs-ng \
		$(ORIG_SRC_DIR)/*/lib/enca \
		$(ORIG_SRC_DIR)/*/lib/freetype \
		$(ORIG_SRC_DIR)/*/lib/gtest \
		$(ORIG_SRC_DIR)/*/lib/libass \
		$(ORIG_SRC_DIR)/*/lib/libbluray \
		$(ORIG_SRC_DIR)/*/lib/libcec \
		$(ORIG_SRC_DIR)/*/lib/liblame \
		$(ORIG_SRC_DIR)/*/lib/libmad \
		$(ORIG_SRC_DIR)/*/lib/libmicrohttpd \
		$(ORIG_SRC_DIR)/*/lib/libmodplug \
		$(ORIG_SRC_DIR)/*/lib/libmpeg2 \
		$(ORIG_SRC_DIR)/*/lib/libnfs \
		$(ORIG_SRC_DIR)/*/lib/librtmp \
		$(ORIG_SRC_DIR)/*/lib/libshairport \
		$(ORIG_SRC_DIR)/*/lib/libsidplay2 \
		$(ORIG_SRC_DIR)/*/lib/groovy \
		$(ORIG_SRC_DIR)/*/lib/taglib \
		$(ORIG_SRC_DIR)/*/lib/win32
	find $(ORIG_SRC_DIR)/* -depth \( \( -iname '*.so' -o -iname '*.exe' -o -iname '*.lib' \
		-o -iname '*.dll' -o -iname '*.dylib' -o -iname '*.a' -o -iname '*.obj' \
		\) -exec rm -rf "{}" \; \)
	# Remove components not needed for Linux when using external libs
	rm -rf $(ORIG_SRC_DIR)/*/lib/ffmpeg
	# Remove temp files and other cruft from source tarball
	# The find command snippet here was taken from debhelper's dh_clean command
	# with some modification to delete more unneeded files.
	find $(ORIG_SRC_DIR)/* -depth \( \( -type f -a \
		\( -name '#*#' -o -name '.*~' -o -name '*~' -o -name DEADJOE \
		-o -name '*.orig' -o -name '*.rej' -o -name '*.bak' \
		-o -name '.*.orig' -o -name .*.rej -o -name '.SUMS' \
		-o -name TAGS -o \( -path '*/.deps/*' -a -name '*.P' \) \
		-o -name config.status -o -name config.cache -o -name config.log \
		\) -exec rm -f "{}" \; \) -o \
		\( -type d -a -name autom4te.cache -prune -exec rm -rf "{}" \; \) \)
		rm $(ORIG_SRC_DIR)/*/.gitignore
	#Remove empty directories
	find $(ORIG_SRC_DIR)/* -type d -empty -delete
	(cd $(ORIG_SRC_DIR) && tar -cJf ../../xbmc_$(DFSG_VER).orig.tar.xz *)
	rm -rf $(ORIG_SRC_DIR)

.PHONY: get-orig-source

=== debian/watch ===
version=3
opts=uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i,pasv \
http://mirrors.xbmc.org/releases/source/xbmc-(.*)\.tar\.gz
